<mat-card class="contact-card">
  <mat-card-header>
    <mat-card-title>Template driven form</mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <form novalidate >
    <mat-form-field>
      <input matInput placeholder="firstname"  class="form-control"  name="firstname">       
    </mat-form-field>
    <br>
    <mat-form-field>
      <input matInput placeholder="lastname" class="form-control"  name="lastname">
    </mat-form-field>
    <br>
    <mat-form-field>
      <input matInput placeholder="email" class="form-control"  name="email">
    </mat-form-field>
    <br>
    <mat-form-field>
      <textarea rows="4" cols="50" matInput placeholder="message" class="form-control"  name="message" ></textarea>
    </mat-form-field>
    <br>
    <button id="submit" mat-raised-button type="submit" color="primary">Submit</button>
 
    </form>
  </mat-card-content>
</mat-card>